function nmat = normc(mat)
%NORMC Column normalization of a matrix
%
% nmat = normc(mat)
%
%  "mat" is an MxN matrix. "normc" normalize each one of the N column
%  vectors contained in "mat". The output "nmat" is also an MxN matrix 
%  whose each one of his column is a unitary matrix.
%
% 2011/05/27, Florent Brunet

% This file is part of MISC.
%
% MISC is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% MISC is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with MISC.  If not, see <http://www.gnu.org/licenses/>.

nmat = mat ./ repmat(sqrt(sum(mat.^2)), size(mat,1), 1);
